Package org.bukkit.block.data.type

# Interface Jukebox

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Jukebox extends BlockData
'has_record' is a quick flag to check whether this jukebox has a record inside it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasRecord()`
Gets the value of the 'has_record' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### hasRecord

boolean hasRecord()
Gets the value of the 'has_record' property.

Returns:
  the 'has_record' value